import { jsx } from "react/jsx-runtime";
import { SquareIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Square = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Square", ...props, children: /* @__PURE__ */ jsx(SquareIcon, { weight: variant }) });
  }
);
Square.displayName = "Square";
Object.assign(Square, { isGdsIcon: true });
export {
  Square
};
